@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM 
@REM  Licensed Materials - Property of IBM
@REM  5725-C94, 5725-C95, 5725-C96
@REM  (C) Copyright IBM Corporation 2008, 2013, 2014. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM *************************************************************************
@REM END COPYRIGHT


@REM BPM Migration Utility Disk

@REM Arguments:
@REM
@REM zipFile - ZIP file to contain utility disk files
@REM targetPlatform - whether it's to create utility for 32bit platform

@echo off
setlocal

if .%1 == . goto error

if [%1] == [-help] goto usage

set WAS_USER_SCRIPT=
set USER_INSTALL_ROOT=

set ZIP_FILE=
set TARGET_PLATFORM=

if [%1] == [] (
    goto error
) else (
    set ZIP_FILE=-DzipFile=%1
)
if not [%2] == [] (
    set TARGET_PLATFORM=-DtargetPlatform=%2
)

call "%~dp0setupCmdLine.bat" %*

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console
@REM %OSGI_INSTALL% %OSGI_CFG% %OSGI_CLASS_SHARING%

"%JAVA_HOME%\bin\java" %OSGI_INSTALL% %OSGI_CFG% %WAS_LOGGING% %CONSOLE_ENCODING% "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%WAS_HOME%" %ZIP_FILE% %TARGET_PLATFORM% -Dwas.root="%WAS_HOME%" -classpath "%WAS_CLASSPATH%"  com.ibm.ws.bootstrap.WSLauncher org.apache.tools.ant.Main -f "%WAS_HOME%\util\migration\scripts\createMigrationUtilDisk.ant"
goto done

:error
echo error: Missing zip_filename_with_fullpath
echo.
echo Usage: BPMCreateRemoteMigrationUtilities  ^<zip_filename_with_fullpath^> [32bit]
echo        32bit is an optional parameter, only used if your source environment is running on 32bit platform
echo.
goto done

:usage
echo.
echo Usage: BPMCreateRemoteMigrationUtilities  ^<zip_filename_with_fullpath^> [32bit]
echo        32bit is an optional parameter, only used if your source environment is running on 32bit platform
echo.
goto done

:done

endlocal
@echo off